OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2011-2019 Lars Corbijn 2011-2016
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.PixellikeObject

Description

# Documentation

data PixellikeObjectGetPName Source #

Constructors

RedSize |
BlueSize |
GreenSize |
AlphaSize |
DepthSize |
StencilSize |

class PixellikeObjectTarget t where Source #

Minimal complete definition

marshalPixellikeOT, pixObjTarQueryFunc

Methods

pixellikeObjTarParam :: t -> PixellikeObjectGetPName -> GettableStateVar GLint Source #

#### Instances

Instances details

PixellikeObjectTarget RenderbufferTarget Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.PixellikeObject Methods marshalPixellikeOT :: RenderbufferTarget -> PixellikeObjectGetPName -> GLenum pixObjTarQueryFunc :: RenderbufferTarget -> GLenum -> IO GLint pixellikeObjTarParam :: RenderbufferTarget -> PixellikeObjectGetPName -> GettableStateVar GLint Source #